;;;; Constant list

;;;;;;;;;;;;;;;;;;;;;;
;; GPIO constant	;;
;;;;;;;;;;;;;;;;;;;;;;

;;GPIOA

.alias GPIOA_DATA	0xC01F0000 ;no use in the future
.alias GPIOA_IN		0xC01F0000
.alias GPIOA_OUT	0xC01F0004
.alias GPIOA_DIR	0xC01F0008
.alias GPIOA_MSK	0xC01F000C
.alias GPIOA_POL	0xC01F0010
.alias GPIOA_EDG	0xC01F0014
.alias GPIOA_BPS	0xC01F0018

;;GPIOB

.alias GPIOB_DATA	0xC01F0100 ;no use in the future
.alias GPIOB_IN		0xC01F0100
.alias GPIOB_OUT	0xC01F0104
.alias GPIOB_DIR	0xC01F0108
.alias GPIOB_MSK	0xC01F010C
.alias GPIOB_POL	0xC01F0110
.alias GPIOB_EDG	0xC01F0114
.alias GPIOB_BPS	0xC01F0118

;;GPIOC

.alias GPIOC_DATA	0xC01F0200 ;no use in the future
.alias GPIOC_IN		0xC01F0200 
.alias GPIOC_OUT	0xC01F0204
.alias GPIOC_DIR	0xC01F0208
.alias GPIOC_MSK	0xC01F020C
.alias GPIOC_POL	0xC01F0210
.alias GPIOC_EDG	0xC01F0214
.alias GPIOC_BPS	0xC01F0218

;;GPIOD

.alias GPIOD_DATA	0xC01F0300 ;no use in the future
.alias GPIOD_IN		0xC01F0300
.alias GPIOD_OUT	0xC01F0304
.alias GPIOD_DIR	0xC01F0308
.alias GPIOD_MSK	0xC01F030C
.alias GPIOD_POL	0xC01F0310
.alias GPIOD_EDG	0xC01F0314
.alias GPIOD_BPS	0xC01F0318

;;;;;;;;;;;;;;;;;;;;;;
;; Timer constant	;;
;;;;;;;;;;;;;;;;;;;;;;

;;Timer0

.alias TIM0_PSCVAL	0xC0010000
.alias TIM0_PSC 	0xC0010004 ;no use in the future
.alias TIM0_PSCPER 	0xC0010004
.alias TIM0_CNTVAL	0xC0010010
.alias TIM0_CNT 	0xC0010014
.alias TIM0_CR   	0xC0010018

;;Timer1

.alias TIM1_PSCVAL	0xC0010100
.alias TIM1_PSC 	0xC0010104 ;no use in the future
.alias TIM1_PSCPER 	0xC0010104
.alias TIM1_CNTVAL	0xC0010110
.alias TIM1_CNT 	0xC0010114
.alias TIM1_CR   	0xC0010118

;;Timer2

.alias TIM2_PSCVAL	0xC0010200
.alias TIM2_PSC 	0xC0010204 ;no use in the future
.alias TIM2_PSCPER 	0xC0010204
.alias TIM2_CNTVAL	0xC0010210
.alias TIM2_CNT 	0xC0010214
.alias TIM2_CR   	0xC0010218

;;Timer3

.alias TIM3_PSCVAL	0xC0110000
.alias TIM3_PSC 	0xC0110004 ;no use in the future
.alias TIM3_PSCPER 	0xC0110004
.alias TIM3_CNTVAL	0xC0110010
.alias TIM3_CNT 	0xC0110014
.alias TIM3_CR   	0xC0110018

;;Timer4

.alias TIM4_PSCVAL	0xC0110100
.alias TIM4_PSC 	0xC0110104 ;no use in the future
.alias TIM4_PSCPER 	0xC0110104
.alias TIM4_CNTVAL	0xC0110110
.alias TIM4_CNT 	0xC0110114
.alias TIM4_CR   	0xC0110118

;;Timer5

.alias TIM5_PSCVAL	0xC0110200
.alias TIM5_PSC 	0xC0110204 ;no use in the future
.alias TIM5_PSCPER 	0xC0110204
.alias TIM5_CNTVAL	0xC0110210
.alias TIM5_CNT 	0xC0110214
.alias TIM5_CR   	0xC0110218

;;Timer6

.alias TIM6_PSCVAL	0xC0110300
.alias TIM6_PSC 	0xC0110304 ;no use in the future
.alias TIM6_PSCPER 	0xC0110304
.alias TIM6_CNTVAL	0xC0110310
.alias TIM6_CNT 	0xC0110314
.alias TIM6_CR   	0xC0110318

;;;;;;;;;;;;;;;;;;;;;;
;; UART constant	;;
;;;;;;;;;;;;;;;;;;;;;;

;;UART0

.alias UART0_CR 	0xC0000108
.alias UART0_ST 	0xC0000104
.alias UART0_BDR	0xC000010C
.alias UART0_DATA 	0xC0000100

;;UART1

.alias UART1_CR 	0xC0000208
.alias UART1_ST 	0xC0000204
.alias UART1_BDR	0xC000020C
.alias UART1_DATA 	0xC0000200

;;UART2

.alias UART2_CR 	0xC0100108
.alias UART2_ST 	0xC0100104
.alias UART2_BDR	0xC010010C
.alias UART2_DATA 	0xC0100100

;;UART3

.alias UART3_CR 	0xC0100208
.alias UART3_ST 	0xC0100204
.alias UART3_BDR	0xC010020C
.alias UART3_DATA 	0xC0100200

;;;;;;;;;;;;;;;;;;
;; USB constant	;;
;;;;;;;;;;;;;;;;;;

;;USB0

.alias USB_HSCR 		0xFFF04000
.alias USB_HSVR 		0xFFF04004
.alias USB_EPCR0 		0xFFF04008
.alias USB_EPST0 		0xFFF0400c
.alias USB_EPTRST0 		0xFFF04010
.alias USB_EPNTRST0 	0xFFF04014
.alias USB_EPCR1 		0xFFF04018
.alias USB_EPST1 		0xFFF0401c
.alias USB_EPTRST1 		0xFFF04020
.alias USB_EPNTRST1 	0xFFF04024
.alias USB_EPCR2 		0xFFF04028
.alias USB_EPST2 		0xFFF0402c
.alias USB_EPTRST2 		0xFFF04030
.alias USB_EPNTRST2 	0xFFF04034
.alias USB_EPCR3 		0xFFF04038
.alias USB_EPST3 		0xFFF0403c
.alias USB_EPTRST3 		0xFFF04040
.alias USB_EPNTRST3 	0xFFF04044
.alias USB_CR			0xFFF04048
.alias USB_STLN			0xFFF0404C
.alias USB_STINT		0xFFF04050
.alias USB_MSKINT		0xFFF04054
.alias USB_ADDR			0xFFF04058
.alias USB_MSPFRAME		0xFFF0405C
.alias USB_LSPFRAME		0xFFF04060
.alias USB_RXDATA0		0xFFF04064
.alias USB_RXMSB0		0xFFF04068
.alias USB_RXLSB0		0xFFF0406C
.alias USB_RXCLR0		0xFFF04070
.alias USB_TXDATA0		0xFFF04074
.alias USB_TXCLR0		0xFFF04078
.alias USB_RXDATA1		0xFFF0407C
.alias USB_RXMSB1		0xFFF04080
.alias USB_RXLSB1		0xFFF04084
.alias USB_RXCLR1		0xFFF04088
.alias USB_TXDATA1		0xFFF0408C
.alias USB_TXCLR1		0xFFF04090
.alias USB_RXDATA2		0xFFF04094
.alias USB_RXMSB2		0xFFF04098
.alias USB_RXLSB2		0xFFF0409C
.alias USB_RXCLR2		0xFFF040A0
.alias USB_TXDATA2		0xFFF040A4
.alias USB_TXCLR2		0xFFF040A8
.alias USB_RXDATA3		0xFFF040AC
.alias USB_RXMSB3		0xFFF040B0
.alias USB_RXLSB3		0xFFF040B4
.alias USB_RXCLR3		0xFFF040B8
.alias USB_TXDATA3		0xFFF040BC
.alias USB_TXCLR3		0xFFF040C0

;;;;;;;;;;;;;;;;;;
;; I2C constant	;;
;;;;;;;;;;;;;;;;;;

;I2C0 master

.alias I2C0_CPS			0xC0001000 ;no use in the future
.alias I2C0_PSC			0xC0001000
.alias I2C0_CR			0xC0001004
.alias I2C0_RDATA		0xC0001008 ;no use in the future
.alias I2C0_RX			0xC0001008 ;no use in the future
.alias I2C0_TDATA		0xC0001008 ;no use in the future
.alias I2C0_TX			0xC0001008 ;no use in the future
.alias I2C0_DATA		0xC0001008
.alias I2C0_ST			0xC000100C ;no use in the future
.alias I2C0_CMD			0xC000100C ;no use in the future
.alias I2C0_STCMD		0xC000100C

;I2C1 slave

.alias I2C1_SAD			0xC0001100 ;no use in the future
.alias I2C1_ADDR		0xC0001100
.alias I2C1_CR			0xC0001104
.alias I2C1_ST			0xC0001108
.alias I2C1_MSK			0xC000110C
.alias I2C1_RDATA		0xC0001110 ;no use in the future
.alias I2C1_RX			0xC0001110
.alias I2C1_TDATA		0xC0001114 ;no use in the future
.alias I2C1_TX			0xC0001114

;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ethernet constant	;;
;;;;;;;;;;;;;;;;;;;;;;;;;;

.alias ETH_CR			0xC0005000
.alias ETH_ST			0xC0005004
.alias ETH_MACMSB		0xC0005008
.alias ETH_MACLSB		0xC000500C
.alias ETH_MDIOST		0xC0005010
.alias ETH_TDP			0xC0005014
.alias ETH_RDP			0xC0005018

;;;;;;;;;;;;;;;;;;
;; SPI constant	;;
;;;;;;;;;;;;;;;;;;

;SPI0

.alias SPI0_CFG			0xC0102000
.alias SPI0_CR			0xC0102020
.alias SPI0_ST			0xC0102024
.alias SPI0_MSK			0xC0102028
.alias SPI0_CMD			0xC010202C
.alias SPI0_TX			0xC0102030
.alias SPI0_RX			0xC0102034
.alias SPI0_SS			0xC0102038

;SPI1

.alias SPI1_CFG			0xC0102100
.alias SPI1_CR			0xC0102120
.alias SPI1_ST			0xC0102124
.alias SPI1_MSK			0xC0102128
.alias SPI1_CMD			0xC010212C
.alias SPI1_TX			0xC0102130
.alias SPI1_RX			0xC0102134
.alias SPI1_SS			0xC0102138


;SPI2

.alias SPI2_CFG			0xC0102200
.alias SPI2_CR			0xC0102220
.alias SPI2_ST			0xC0102224
.alias SPI2_MSK			0xC0102228
.alias SPI2_CMD			0xC010222C
.alias SPI2_TX			0xC0102230
.alias SPI2_RX			0xC0102234
.alias SPI2_SS			0xC0102238

;;;;;;;;;;;;;;;;;;
;; WDT constant	;;
;;;;;;;;;;;;;;;;;;

.alias WDT_CNT			0xC00E0000
.alias WDT_KEY			0xC00E0004
.alias WDT_ST			0xC00E000C

;;;;;;;;;;;;;;;;;;
;; RTC constant	;;
;;;;;;;;;;;;;;;;;;

.alias RTC_TIME			0xC001F000
.alias RTC_DATE			0xC001F004
.alias RTC_CR			0xC001F008
.alias RTC_PSC			0xC001F00C
.alias RTC_ST			0xC001F010
.alias RTC_ALARMA		0xC001F014
.alias RTC_ALARMB		0xC001F018

;;;;;;;;;;;;;;;;;;
;; I2S constant	;;
;;;;;;;;;;;;;;;;;;

.alias I2S_CFG			0xC0102000
.alias I2S_MSK			0xC0102004
.alias I2S_INT			0xC0102008
.alias I2S_RX			0xC010200C

;;;;;;;;;;;;;;;;;;
;; PWM constant	;;
;;;;;;;;;;;;;;;;;;

.alias PWM_CR			0xC0012000
.alias PWM_INT			0xC0012001
.alias PWM_CNTVAL		0xC0012002
.alias PWM_PSC			0xC0012003
.alias PWM_CNT			0xC0012004
.alias PWM_CMPCH0		0xC0012020
.alias PWM_CMPCH1		0xC0012024
.alias PWM_CMPCH2		0xC0012028
.alias PWM_CMPCH3		0xC001202C


