#include <HDL51001_ccf.h>
#include <uart.h>
#include <tim.h>

#define PSCPERIOD 1 //prediv timer0

void main()
{
	int time_value;
	// uart3
	
	UART_InitTypeDef UART_InitStructure;
    
	  UART_InitStructure.BaudRate = 38400; //set baudrate
      UART_InitStructure.TypeParity = 0x00000000; //parity control type
      UART_InitStructure.Parity = 0x00000000; //enable parity control
      UART_InitStructure.FlowControl = 0x00000000; //enable cts/rts
      UART_InitStructure.Mode = 0x00000003; //rx enable - 1 bit, tx enable - 2 bit (rx + tx en)
    
		GPIOD->BPS = 0x00000F00;		 //alternative port function for uart3
		uart_init(UART3, &UART_InitStructure);
	// 0
	TIM_PSCPER(PSCPERIOD, TIM0);
	TIM_CNT(0xFFFFFFFF, TIM0);
	TIM_CR(1, 0, 1, 0, 0, TIM0);
		
	//please enter your code here
	   fft_256();
	   
	time_value = (0xFFFFFFFF - TIM0->CNTVAL);
	uart_send_int(time_value*2, UART3);
	while(UART_FIFO_TX_EMPTY(UART3) == 0);
	//DM2UART(UART3, 0x000000B8, 0x00000800); //   FFT

}





